from tqdm import tqdm
import hashlib


def main():
    prefix = b'norohind/'
    lowest = hashlib.sha256(prefix)

    for nonce in range(300_000_000_000, 500_000_000_000):
        data = prefix + str(nonce).encode()
        res = hashlib.sha256(data)
        if res.digest() < lowest.digest():
            lowest = res
            hexdigest = res.hexdigest()
            tqdm.write(f'new minimal {len(hexdigest) - len(hexdigest.lstrip("0"))} {hexdigest}, {data}')


if __name__ == "__main__":
    main()
